#!/bin/bash

if [ $# != 4 ]; then
	echo "modis_gen_simulation usage: [input file] [output file] [classNo of tree data] [classNo of ub data]"
	exit 1
fi

if [ -z "$R_BIN" ]; then
	ENVFILE=`dirname $0`/modis_setenv.txt
	echo $ENVFILE
	if [ ! -e $ENVFILE ]; then
		g.message -e "modis_setenv.txt was not found. You must put modis_setenv.txt in the same directory as this script."
		exit 1
	fi
	source $ENVFILE
fi

if [ -e $2 ]; then
	rm -f $2
fi

RFILE=`dirname $0`/simulation5.R

if [ ! -e $RFILE ]; then
	g.message -e "simulation5.R was not found. You must put simulation5.R in the same directory as this script."
	exit 1
fi

$RSC_BIN $RFILE $@
