#!/bin/bash

if [ -z "$GISBASE" ] ; then
    echo "ERROR: You must be in GRASS GIS to run this program." 1>&2
    exit 1
fi

if [ -z "$R_BIN" ]; then
	ENVFILE=`dirname $0`/modis_setenv.txt
	echo $ENVFILE
	if [ ! -e $ENVFILE ]; then
		g.message -e "modis_setenv.txt was not found. You must put modis_setenv.txt in the same directory as this script."
		exit 1
	fi
	source $ENVFILE
fi

LIST=`ls *_prj.tif 2> /dev/null`

for i in $LIST; do

	OUTPUTNAME=`basename $i "_prj.tif"`
	r.in.gdal input=$i output=$OUTPUTNAME
	if [ $? -ne 0 ]; then
		exit 1
	fi
	r.colors map=$OUTPUTNAME color=grey.eq

done

#
# set region to imported raster map.
#
g.region rast=`echo $LIST | head -n 1 | cut -d "_" -f 1-2`
