#!/bin/bash

if [ -z "$R_BIN" ]; then
	ENVFILE=`dirname $0`/modis_setenv.txt
	echo $ENVFILE
	if [ ! -e $ENVFILE ]; then
		echo "ERROR: modis_setenv.txt was not found. You must put modis_setenv.txt in the same directory as this script."
		exit 1
	fi
	source $ENVFILE
fi

if [ -z "$GISBASE" ] ; then
    echo "You must be in GRASS GIS to run this program." 1>&2
    exit 1
fi


#if [ $# != 0 ] && [ $# != 4 ]; then
#	echo "viirs_merge.sh usage: [[xmin] [ymin] [xmax] [ymax] (optional)]"
#	echo "xmin,ymin,xmax,ymax are the extent of target SRS."
#	echo "if not specified, extent of the warped image is calculated automatically."
#fi
#
#if [ $# == 4 ]; then
#	OPT_TE="-te $@"
#fi

for F in `ls *.h5`; do

	FILELIST=`gdalinfo $F | grep "NAME=" | grep "Reflectance" | cut -d "=" -f 2`

	for I in $FILELIST; do

		gdalwarp -of "GTiff" -r bilinear -srcnodata 65529 -dstnodata 65529 -t_srs "`g.proj -j -f`" $I "temp.tif"
		if [ $? -ne 0 ]; then
			exit 1
		fi
		OUTPUTNAME=viirs_`echo $I | cut -d "_" -f 3-6,10 | cut -d "-" -f 1-2 | sed 's/Data\/VIIRS-I/band/'`
		r.in.gdal input="temp.tif" output=$OUTPUTNAME
		if [ $? -ne 0 ]; then
			exit 1
		fi
		r.colors map=$OUTPUTNAME color=grey
		rm -f temp.tif

	done

done
